% Minicurso: Metodos de Elementos Finitos para as Eqs de Maxwell
% Saulo P. Oliveira (UFPR), 2012
%
% graf : grafico da solucao para malhas em geral

clf;
set(gca,'FontSize',20);

minx = min(coord(:,1)); maxx = max(coord(:,2));
miny = min(coord(:,2)); maxy = max(coord(:,1));
minz = min(min(ul)); maxz = max(max(ul));
axis([minx,maxx,miny,maxy,minz,maxz]);
hold on

for el = 1:num_ele
  xx = coord(IEN(:,el),1);
  yy = coord(IEN(:,el),2);
  xg = [xx(1),xx(2);xx(4),xx(3)];
  yg = [yy(1),yy(2);yy(4),yy(3)];
  zg = [ul(1,el),ul(2,el);ul(4,el),ul(3,el)];
  surf(xg,yg,zg); 
end

hold off
grid
view(30,30);
