% Minicurso: Metodos de Elementos Finitos para as Eqs de Maxwell
% Saulo P. Oliveira (UFPR), 2012
%
% graphE_4 : geracao de graficos de superficie do campo eletrico E = (Elx,Ely)
% todas a partes siultaneamente

clf;
set(gca,'FontSize',24);

minx = min(coord(:,1)); maxx = max(coord(:,1));
miny = min(coord(:,2)); maxy = max(coord(:,2));
for j = 1:4
  subplot(2,2,j), hold on
end

for el = 1:num_ele
  xx = coord(IEN(:,el),1);
  yy = coord(IEN(:,el),2);
  xg = [xx(1),xx(2);xx(4),xx(3)];
  yg = [yy(1),yy(2);yy(4),yy(3)];
  zg = [Elx(1,el),Elx(2,el);Elx(4,el),Elx(3,el)];
  subplot(2,2,1), surf(xg,yg,real(zg)); 
  subplot(2,2,2), surf(xg,yg,imag(zg)); 
  zg = [Ely(1,el),Ely(2,el);Ely(4,el),Ely(3,el)];
  subplot(2,2,3), surf(xg,yg,real(zg)); 
  subplot(2,2,4), surf(xg,yg,imag(zg)); 
end

for j = 1:4
  subplot(2,2,j), hold off
  subplot(2,2,j), grid
  subplot(2,2,j), view(30,30);
end

minz = min(min(real(Elx))); maxz = max(max(real(Elx)));
subplot(2,2,1), axis([minx,maxx,miny,maxy,minz,maxz]);
subplot(2,2,1), title('Re(E_x)');
minz = min(min(imag(Elx))); maxz = max(max(imag(Elx)));
subplot(2,2,2), axis([minx,maxx,miny,maxy,minz,maxz]);
subplot(2,2,2), title('Im(E_x)');
minz = min(min(real(Ely))); maxz = max(max(real(Ely)));
subplot(2,2,3), axis([minx,maxx,miny,maxy,minz,maxz]);
subplot(2,2,3), title('Re(E_y)');
minz = min(min(imag(Ely))); maxz = max(max(imag(Ely)));
subplot(2,2,4), axis([minx,maxx,miny,maxy,minz,maxz]);
subplot(2,2,4), title('Im(E_y)');
