% Minicurso: Metodos de Elementos Finitos para as Eqs de Maxwell
% Saulo P. Oliveira (UFPR), 2012
%
% graf_cinza : grafico em tons de cinza, padrao seismic unix

clf;
set(gca,'FontSize',20);

minx = min(coord(:,1)); maxx = max(coord(:,2));
miny = min(coord(:,2)); maxy = max(coord(:,1));
minz = min(min(ul)); maxz = max(max(ul));
axis([minx,maxx,miny,maxy]);
caxis([minz,maxz])
hold on
colormap(gray)
view(0,90)
set(gca,'YDir','reverse');
set(gca,'XAxisLocation','top');

for el = 1:num_ele
  xx = coord(IEN(:,el),1);
  yy = coord(IEN(:,el),2);
  xg = [xx(1),xx(2);xx(4),xx(3)];
  yg = [yy(1),yy(2);yy(4),yy(3)];
  zg = [ul(1,el),ul(2,el);ul(4,el),ul(3,el)];
  surf(xg,yg,zg,'FaceColor','interp','LineStyle','none'); 
end

hold off
