% Minicurso: Metodos de Elementos Finitos para as Eqs de Maxwell
% Saulo P. Oliveira (UFPR), 2012
%
% graph_vet : campo vetorial (componente tangencial) sobre a malha

clf;
set(gca,'FontSize',20);

minx = min(coord(:,1)); maxx = max(coord(:,2));
miny = min(coord(:,2)); maxy = max(coord(:,1));
axis([minx,maxx,miny,maxy]);
hold on

for el = 1:num_ele
  xx = coord(IEN(:,el),1);
  yy = coord(IEN(:,el),2);
  xg = [xx(1),xx(2);xx(4),xx(3)];
  yg = [yy(1),yy(2);yy(4),yy(3)];
  mesh(xg,yg,0*xg,'Linewidth',0.25); 
end

view(0,90);

for el = 1:num_ele
  ive = IEN(:,el); % indices dos vertices do elemento
  iee = IEN_e(:,el); % indices das arestas do elemento
  
  for j = 1:num_edges_ele % orientacao do lado
    j2 = vc(j+1);
    jo = min([ive(j),ive(j2)]);
    jf = max([ive(j),ive(j2)]);
    po = coord(jo,:);
    pf = coord(jf,:);
    k = ID(iee(j));
    xo = (po(1)+pf(1))/2;
    yo = (po(2)+pf(2))/2;
    t = uh(k)*(pf-po)/norm(pf-po);
    quiver(xo,yo,t(1),t(2),'k','Linewidth',2);
  end
end

hold off
colormap([0,0,0])
axis equal



% Incluir as linhas abaixo para representar o eixo (x,z)
%
%set(gca,'YDir','reverse');
%set(gca,'XAxisLocation','top');
